2018-10-17 08:07 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005228GNUnetcadet servicepublic2018-06-28 17:09
Reporteramatus 
Assigned Tot3sserakt 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target VersionFixed in Version0.11.0 
Summary0005228: gnunet-cadet -p receives malformed message from service
DescriptionThe cadet API for getting info on a single peer is broken. I gave fixing it a shot but gave up because the client and server are so different I can't tell what it should be doing.
Steps To Reproduce$ gnunet-cadet -p QW7ZYW6H4XQM9N5NK8GQWDSYXNBEQEAS870TP40QM0Z4YZ9KBDT0
Dec 27 11:03:03-624485 util-mq-27930 ERROR Received malformed message of type 1037
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012926

cy1 (reporter)

Just confirming this behavor's happening for me too.

~0013070

t3sserakt (developer)

commit a60bc39254a063f93f4b193691504e1bba0cb608 does not really fix this. We have no malformed message anymore, but the information displayed is not valid!

~0013106

t3sserakt (developer)

git rev. 842f1d970c56228154aa7d0a027ebeec296b9036
+Notes

-Issue History
Date Modified Username Field Change
2017-12-27 18:14 amatus New Issue
2017-12-27 18:14 amatus Status new => assigned
2017-12-27 18:14 amatus Assigned To => Christian Grothoff
2018-05-14 18:44 cy1 Note Added: 0012926
2018-06-07 01:17 Christian Grothoff Assigned To Christian Grothoff =>
2018-06-07 01:17 Christian Grothoff Status assigned => confirmed
2018-06-23 15:25 t3sserakt Assigned To => t3sserakt
2018-06-23 15:25 t3sserakt Status confirmed => assigned
2018-06-24 15:33 t3sserakt Note Added: 0013070
2018-06-28 17:09 t3sserakt Status assigned => resolved
2018-06-28 17:09 t3sserakt Resolution open => fixed
2018-06-28 17:09 t3sserakt Fixed in Version => 0.11.0
2018-06-28 17:09 t3sserakt Note Added: 0013106
+Issue History